RStruct Struct Reference

`#include <ruby.h>`

## Data Fields

struct RBasic | basic
union {
struct {
long len
VALUE * ptr
} heap
VALUE ary [RSTRUCT_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 845 of file ruby.h.

## Field Documentation

VALUE RStruct::ary[RSTRUCT_EMBED_LEN_MAX]

Definition at line 852 of file ruby.h.

union { ... } RStruct::as

struct RBasic RStruct::basic

Definition at line 846 of file ruby.h.

struct { ... } RStruct::heap

long RStruct::len

Definition at line 849 of file ruby.h.

VALUE* RStruct::ptr

Definition at line 850 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h